<?php
	$home_tutor_first_color = get_theme_mod('home_tutor_first_color');
	$home_tutor_second_color = get_theme_mod('home_tutor_second_color');
	$home_tutor_custom_css ='';

	/*------------------ Global First Color -----------*/
	if ($home_tutor_first_color) {
		$home_tutor_custom_css .= ':root {';
		$home_tutor_custom_css .= '--first-theme-color: ' . esc_attr($home_tutor_first_color) . ' !important;';
		$home_tutor_custom_css .= '} ';
	}

	/*------------------ Global Second Color -----------*/
	if ($home_tutor_second_color) {
		$home_tutor_custom_css .= ':root {';
		$home_tutor_custom_css .= '--second-theme-color: ' . esc_attr($home_tutor_second_color) . ' !important;';
		$home_tutor_custom_css .= '} ';
	}

	$home_tutor_banner_hide = get_theme_mod('home_tutor_banner_hide', false);
    if($home_tutor_banner_hide != true){
        $home_tutor_custom_css .='.page-template-home-page .header-bottom{';
            $home_tutor_custom_css .='position: static;';
        $home_tutor_custom_css .='}';
    }

	/*---------------------------Width Layout -------------------*/
	$home_tutor_theme_lay = get_theme_mod( 'home_tutor_width_layout_options','Default');
    if($home_tutor_theme_lay == 'Default'){
		$home_tutor_custom_css .='body{';
			$home_tutor_custom_css .='max-width: 100%;';
		$home_tutor_custom_css .='}';
	}else if($home_tutor_theme_lay == 'Container Layout'){
		$home_tutor_custom_css .='body{';
			$home_tutor_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$home_tutor_custom_css .='}';
		$home_tutor_custom_css .='.page-template-home-page #header{';
			$home_tutor_custom_css .='position: static; background-color: #000;';
		$home_tutor_custom_css .='}';
	}else if($home_tutor_theme_lay == 'Box Layout'){
		$home_tutor_custom_css .='body{';
			$home_tutor_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$home_tutor_custom_css .='}';
		$home_tutor_custom_css .='.page-template-home-page #header{';
			$home_tutor_custom_css .='position: static; background-color: #000;';
		$home_tutor_custom_css .='}';
	}

	/*-------------- Footer Text -------------------*/
	$home_tutor_footer_text_align = get_theme_mod('home_tutor_footer_text_align');
	$home_tutor_custom_css .='.copyright-wrapper{';
		$home_tutor_custom_css .='text-align: '.esc_attr($home_tutor_footer_text_align).';';
	$home_tutor_custom_css .='}';
	$home_tutor_custom_css .='
	@media screen and (max-width:575px) {
		.copyright-wrapper{';
			$home_tutor_custom_css .='text-align: center;'.esc_attr($home_tutor_footer_text_align).'';
	$home_tutor_custom_css .='} }';

	$home_tutor_footer_text_padding = get_theme_mod('home_tutor_footer_text_padding');
	$home_tutor_custom_css .='.copyright-wrapper{';
		$home_tutor_custom_css .='padding-top: '.esc_attr($home_tutor_footer_text_padding).'px !important; padding-bottom: '.esc_attr($home_tutor_footer_text_padding).'px !important;';
	$home_tutor_custom_css .='}';

	$home_tutor_footer_bg_color = get_theme_mod('home_tutor_footer_bg_color');
	$home_tutor_custom_css .='.footer-wp{';
		$home_tutor_custom_css .='background-color: '.esc_attr($home_tutor_footer_bg_color).';';
	$home_tutor_custom_css .='}';

	$home_tutor_footer_bg_image = get_theme_mod('home_tutor_footer_bg_image');
	if($home_tutor_footer_bg_image != false){
		$home_tutor_custom_css .='.footer-wp{';
			$home_tutor_custom_css .='background: url('.esc_attr($home_tutor_footer_bg_image).'); background-size: cover;';
		$home_tutor_custom_css .='}';
	}

	//footer heading letter spacing
	$home_tutor_footer_heading_letter_spacing = get_theme_mod('home_tutor_footer_heading_letter_spacing',1);
	$home_tutor_custom_css .='.footer-wp h3 {';
		$home_tutor_custom_css .='letter-spacing: '.esc_attr($home_tutor_footer_heading_letter_spacing).'px;';
	$home_tutor_custom_css .='}';
	
    // footer image position
	$home_tutor_footer_img_position = get_theme_mod('home_tutor_footer_img_position','center center');
	if($home_tutor_footer_img_position != false){
		$home_tutor_custom_css .='.footer-wp{';
			$home_tutor_custom_css .='background-position: '.esc_attr($home_tutor_footer_img_position).'!important;';
		$home_tutor_custom_css .='}';
	}		

	// footer heading font weight
	$home_tutor_footer_heading_font_weight = get_theme_mod( 'home_tutor_footer_heading_font_weight','500');
	if($home_tutor_footer_heading_font_weight != ''){
		$home_tutor_custom_css .='.footer-wp h3{';
			$home_tutor_custom_css .='font-weight: '.esc_attr($home_tutor_footer_heading_font_weight).';';
		$home_tutor_custom_css .='}';
	}

	// Footer Attatchment
	$home_tutor_theme_lay = get_theme_mod( 'home_tutor_footer_attatchment','scroll');
	if($home_tutor_theme_lay == 'fixed'){
		$home_tutor_custom_css .='.footer-wp{';
			$home_tutor_custom_css .='background-attachment: fixed;';
		$home_tutor_custom_css .='}';
	}elseif ($home_tutor_theme_lay == 'scroll'){
		$home_tutor_custom_css .='.footer-wp{';
			$home_tutor_custom_css .='background-attachment: scroll;';
		$home_tutor_custom_css .='}';
	}

	$home_tutor_copyright_text_font_size = get_theme_mod('home_tutor_copyright_text_font_size', 15);
	$home_tutor_custom_css .='.copyright-wrapper p, .copyright-wrapper a{';
		$home_tutor_custom_css .='font-size: '.esc_attr($home_tutor_copyright_text_font_size).'px;';
	$home_tutor_custom_css .='}';

	$home_tutor_footer_heading_font_size = get_theme_mod('home_tutor_footer_heading_font_size');
	$home_tutor_custom_css .='.footer-wp h3{';
		$home_tutor_custom_css .='font-size: '.esc_attr($home_tutor_footer_heading_font_size).'px;';
	$home_tutor_custom_css .='}';

    //Footer Social Icon Top Bottom padding 
	$home_tutor_footer_icon_to_top_padding = get_theme_mod('home_tutor_footer_icon_to_top_padding');
	$home_tutor_custom_css .='footer .socialicons a i{';
	$home_tutor_custom_css .='padding-top: '.esc_attr($home_tutor_footer_icon_to_top_padding).'px;!important;';
	$home_tutor_custom_css .='padding-bottom: '.esc_attr($home_tutor_footer_icon_to_top_padding).'px;!important;';
	$home_tutor_custom_css .='}';

	// footer padding
	$home_tutor_footer_padding = get_theme_mod('home_tutor_footer_padding');
	$home_tutor_custom_css .='.footer-wp{';
		$home_tutor_custom_css .='padding: '.esc_attr($home_tutor_footer_padding).'px;';
	$home_tutor_custom_css .='}';

	$home_tutor_footer_heading = get_theme_mod( 'home_tutor_footer_heading','Left');
    if($home_tutor_footer_heading == 'Left'){
		$home_tutor_custom_css .='.footer-wp h3, .footer-wp .wp-block-search .wp-block-search__label{';
		$home_tutor_custom_css .='text-align: left;';
		$home_tutor_custom_css .='}';
	}else if($home_tutor_footer_heading == 'Center'){
		$home_tutor_custom_css .='.footer-wp h3, .footer-wp .wp-block-search .wp-block-search__label{';
			$home_tutor_custom_css .='text-align: center;';
		$home_tutor_custom_css .='}';
		$home_tutor_custom_css .='.footer-wp h3:after, .footer-wp .wp-block-heading:after{';
			$home_tutor_custom_css .='margin: 7px auto;';
		$home_tutor_custom_css .='}';
		$home_tutor_custom_css .='
		@media screen and (max-width:767px) {
			.footer-wp h3, .footer-wp .wp-block-search .wp-block-search__label{';
				$home_tutor_custom_css .='text-align: left;';
				$home_tutor_custom_css .='}
			.footer-wp h3:after, .footer-wp .wp-block-heading:after{';
				$home_tutor_custom_css .='margin: 7px 0 0;';
				$home_tutor_custom_css .='}
		}';
	}else if($home_tutor_footer_heading == 'Right'){
		$home_tutor_custom_css .='.footer-wp h3, .footer-wp .wp-block-search .wp-block-search__label{';
			$home_tutor_custom_css .='text-align: right; padding-bottom: 25px;';
		$home_tutor_custom_css .='}';
		$home_tutor_custom_css .='.footer-wp .widget, .footer-wp aside{';
			$home_tutor_custom_css .='position: relative;';
		$home_tutor_custom_css .='}';
		$home_tutor_custom_css .='.footer-wp h3:after, .footer-wp .wp-block-heading:after{';
			$home_tutor_custom_css .='position: absolute; right: 0;';
		$home_tutor_custom_css .='}';
		$home_tutor_custom_css .='
		@media screen and (max-width:767px) {
			.footer-wp h3, .footer-wp .wp-block-search .wp-block-search__label{';
				$home_tutor_custom_css .='text-align: left;';
				$home_tutor_custom_css .='}
			.footer-wp h3:after, .footer-wp .wp-block-heading:after{';
				$home_tutor_custom_css .='left: 0;';
				$home_tutor_custom_css .='}
		}';
	}

	$home_tutor_footer_content = get_theme_mod( 'home_tutor_footer_content','Left');
    if($home_tutor_footer_content == 'Left'){
		$home_tutor_custom_css .='.footer-wp .widget{';
		$home_tutor_custom_css .='text-align: left;';
		$home_tutor_custom_css .='}';
	}else if($home_tutor_footer_content == 'Center'){
		$home_tutor_custom_css .='.footer-wp .widget{';
			$home_tutor_custom_css .='text-align: center;';
		$home_tutor_custom_css .='}';
		$home_tutor_custom_css .='
		@media screen and (max-width:767px) {
			.footer-wp .widget{';
				$home_tutor_custom_css .='text-align: left;';
				$home_tutor_custom_css .='} }';
	}else if($home_tutor_footer_content == 'Right'){
		$home_tutor_custom_css .='.footer-wp .widget{';
			$home_tutor_custom_css .='text-align: right;';
		$home_tutor_custom_css .='}';
		$home_tutor_custom_css .='
		@media screen and (max-width:767px) {
			.footer-wp .widget{';
				$home_tutor_custom_css .='text-align: left;';
				$home_tutor_custom_css .='} }';
	}

	//Footer social icons font size
	$home_tutor_footer_social_icons_size = get_theme_mod('home_tutor_footer_social_icons_size', 15);
	$home_tutor_custom_css .='.copyright-wrapper a i{';
		$home_tutor_custom_css .='font-size: '.esc_attr($home_tutor_footer_social_icons_size).'px;';
	$home_tutor_custom_css .='}';		

	/*------------- Back to Top  -------------------*/
	$home_tutor_back_to_top_border_radius = get_theme_mod('home_tutor_back_to_top_border_radius');
	$home_tutor_custom_css .='#scrollbutton {';
		$home_tutor_custom_css .='border-radius: '.esc_attr($home_tutor_back_to_top_border_radius).'px;';
	$home_tutor_custom_css .='}';

	$home_tutor_scroll_icon_font_size = get_theme_mod('home_tutor_scroll_icon_font_size', 22);
	$home_tutor_custom_css .='#scrollbutton {';
		$home_tutor_custom_css .='font-size: '.esc_attr($home_tutor_scroll_icon_font_size).'px;';
	$home_tutor_custom_css .='}';

	// back to top icon color
	$home_tutor_scroll_icon_color = get_theme_mod('home_tutor_scroll_icon_color');
	$home_tutor_custom_css .='#scrollbutton i{';
		$home_tutor_custom_css .='color: '.esc_attr($home_tutor_scroll_icon_color).';';
	$home_tutor_custom_css .='}';

	// back to top icon hover color
	$home_tutor_scroll_icon_hover_color = get_theme_mod('home_tutor_scroll_icon_hover_color');
	$home_tutor_custom_css .='#scrollbutton i:hover{';
		$home_tutor_custom_css .='color: '.esc_attr($home_tutor_scroll_icon_hover_color).';';
	$home_tutor_custom_css .='}';

	// back to top bg color
	$home_tutor_scroll_icon_background = get_theme_mod('home_tutor_scroll_icon_background');
	$home_tutor_custom_css .='#scrollbutton{';
		$home_tutor_custom_css .='background-color: '.esc_attr($home_tutor_scroll_icon_background).';';
		$home_tutor_custom_css .='border-color: '.esc_attr($home_tutor_scroll_icon_background).';';
	$home_tutor_custom_css .='}';

	// back to top bg hover color
	$home_tutor_scroll_icon_background_hover = get_theme_mod('home_tutor_scroll_icon_background_hover');
	$home_tutor_custom_css .='#scrollbutton:hover{';
		$home_tutor_custom_css .='background-color: '.esc_attr($home_tutor_scroll_icon_background_hover).';';
		$home_tutor_custom_css .='border-color: '.esc_attr($home_tutor_scroll_icon_background_hover).';';
	$home_tutor_custom_css .='}';

	$home_tutor_top_bottom_scroll_padding = get_theme_mod('home_tutor_top_bottom_scroll_padding', 7);
	$home_tutor_custom_css .='#scrollbutton {';
		$home_tutor_custom_css .='padding-top: '.esc_attr($home_tutor_top_bottom_scroll_padding).'px; padding-bottom: '.esc_attr($home_tutor_top_bottom_scroll_padding).'px;';
	$home_tutor_custom_css .='}';

	$home_tutor_left_right_scroll_padding = get_theme_mod('home_tutor_left_right_scroll_padding', 17);
	$home_tutor_custom_css .='#scrollbutton {';
		$home_tutor_custom_css .='padding-left: '.esc_attr($home_tutor_left_right_scroll_padding).'px; padding-right: '.esc_attr($home_tutor_left_right_scroll_padding).'px;';
	$home_tutor_custom_css .='}';

	//First Cap
	$home_tutor_show_first_caps = get_theme_mod('home_tutor_show_first_caps', 'false');
	if($home_tutor_show_first_caps == 'true' ){
	$home_tutor_custom_css .='.blog-section .mainbox .new-text p:nth-of-type(1)::first-letter{';
	$home_tutor_custom_css .=' font-size: 55px; font-weight: 600;';
	$home_tutor_custom_css .=' margin-right: 6px;';
	$home_tutor_custom_css .=' line-height: 1;';
	$home_tutor_custom_css .='}';
	}elseif($home_tutor_show_first_caps == 'false' ){
	$home_tutor_custom_css .='.blog-section .mainbox .new-text p:nth-of-type(1)::first-letter {';
	$home_tutor_custom_css .='display: none;';
	$home_tutor_custom_css .='}';
	}

	/*-------------- Post Button  -------------------*/

	$home_tutor_btn_font_size_option = get_theme_mod('home_tutor_btn_font_size_option');
	$home_tutor_custom_css .='.postbtn a{';
		$home_tutor_custom_css .='font-size: '.esc_attr($home_tutor_btn_font_size_option).'px !important;';
	$home_tutor_custom_css .='}';

	$home_tutor_theme_lay = get_theme_mod( 'home_tutor_button_text_tranform','Capitalize');
    if($home_tutor_theme_lay == 'Uppercase'){
		$home_tutor_custom_css .='.postbtn a{';
			$home_tutor_custom_css .='text-transform: uppercase;';
		$home_tutor_custom_css .='}';
	}else if($home_tutor_theme_lay == 'Lowercase'){
		$home_tutor_custom_css .='.postbtn a{';
			$home_tutor_custom_css .='text-transform: lowercase;';
		$home_tutor_custom_css .='}';
	}
	else if($home_tutor_theme_lay == 'Capitalize'){
		$home_tutor_custom_css .='.postbtn a{';
			$home_tutor_custom_css .='text-transform: capitalize;';
		$home_tutor_custom_css .='}';
	}

	// button font weight
	$home_tutor_button_font_weight = get_theme_mod( 'home_tutor_button_font_weight','700');
	if($home_tutor_button_font_weight != ''){
		$home_tutor_custom_css .='.postbtn a{';
			$home_tutor_custom_css .='font-weight: '.esc_attr($home_tutor_button_font_weight).';';
		$home_tutor_custom_css .='}';
	}

	$home_tutor_post_button_padding_top = get_theme_mod('home_tutor_post_button_padding_top');
	$home_tutor_custom_css .='.postbtn a, #comments input[type="submit"].submit{';
		$home_tutor_custom_css .='padding-top: '.esc_attr($home_tutor_post_button_padding_top).'px !important; padding-bottom: '.esc_attr($home_tutor_post_button_padding_top).'px !important;';
	$home_tutor_custom_css .='}';

	$home_tutor_post_button_padding_right = get_theme_mod('home_tutor_post_button_padding_right');
	$home_tutor_custom_css .='.postbtn a, #comments input[type="submit"].submit{';
		$home_tutor_custom_css .='padding-left: '.esc_attr($home_tutor_post_button_padding_right).'px !important; padding-right: '.esc_attr($home_tutor_post_button_padding_right).'px !important;';
	$home_tutor_custom_css .='}';

	// button letter spacing
	$home_tutor_button_letter_spacing = get_theme_mod('home_tutor_button_letter_spacing', '0');
	$home_tutor_custom_css .='.postbtn a {';
		$home_tutor_custom_css .='letter-spacing: '.esc_attr($home_tutor_button_letter_spacing).'px;';
	$home_tutor_custom_css .='}';		
	
	//Button Shape
	$home_tutor_btn_shape = get_theme_mod('home_tutor_btn_shape', 'Square');
	if($home_tutor_btn_shape == 'Square' ){
		$home_tutor_custom_css .='.inner-service .mainbox .postbtn a{';
			$home_tutor_custom_css .=' border-radius: 0';
		$home_tutor_custom_css .='}';
	}elseif($home_tutor_btn_shape == 'Round' ){
		$home_tutor_custom_css .='.inner-service .mainbox .postbtn a{';
			$home_tutor_custom_css .=' border-radius: .3em';
		$home_tutor_custom_css .='}';
	}elseif($home_tutor_btn_shape == 'Pill' ){
		$home_tutor_custom_css .='.inner-service .mainbox .postbtn a{';
			$home_tutor_custom_css .=' border-radius: 2em;';
		$home_tutor_custom_css .='}';
	}

	$home_tutor_post_comment_enable = get_theme_mod('home_tutor_post_comment_enable',true);
	if($home_tutor_post_comment_enable == false){
		$home_tutor_custom_css .='#comments{';
			$home_tutor_custom_css .='display: none;';
		$home_tutor_custom_css .='}';
	}

	/*----------- Preloader Color Option  ----------------*/
	$home_tutor_preloader_bg_color_option = get_theme_mod('home_tutor_preloader_bg_color_option');
	$home_tutor_preloader_icon_color_option = get_theme_mod('home_tutor_preloader_icon_color_option');
	$home_tutor_custom_css .='.frame{';
		$home_tutor_custom_css .='background-color: '.esc_attr($home_tutor_preloader_bg_color_option).';';
	$home_tutor_custom_css .='}';
	$home_tutor_custom_css .='.dot-1,.dot-2,.dot-3{';
		$home_tutor_custom_css .='background-color: '.esc_attr($home_tutor_preloader_icon_color_option).';';
	$home_tutor_custom_css .='}';

	// preloader type
	$home_tutor_theme_lay = get_theme_mod( 'home_tutor_preloader_type','First Preloader Type');
    if($home_tutor_theme_lay == 'First Preloader Type'){
		$home_tutor_custom_css .='.dot-1, .dot-2, .dot-3{';
			$home_tutor_custom_css .='';
		$home_tutor_custom_css .='}';
	}else if($home_tutor_theme_lay == 'Second Preloader Type'){
		$home_tutor_custom_css .='.dot-1, .dot-2, .dot-3{';
			$home_tutor_custom_css .='border-radius:0;';
		$home_tutor_custom_css .='}';
	}

    // preloader background image
	$home_tutor_preloader_bg_img = get_theme_mod('home_tutor_preloader_bg_img');
	if($home_tutor_preloader_bg_img != false){
		$home_tutor_custom_css .='.frame {';
			$home_tutor_custom_css .='background: url('.esc_attr($home_tutor_preloader_bg_img).');-webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover;';
		$home_tutor_custom_css .='}';
	}		

	/*------------------ Skin Option  -------------------*/
	$home_tutor_theme_lay = get_theme_mod( 'home_tutor_background_skin','Without Background');
    if($home_tutor_theme_lay == 'With Background'){
		$home_tutor_custom_css .='.inner-service,#sidebar .widget,.woocommerce ul.products li.product, .woocommerce-page ul.products li.product,.front-page-content,.background-img-skin{';
			$home_tutor_custom_css .='background-color: #F6F6F6; padding:20px;';
		$home_tutor_custom_css .='}';
		$home_tutor_custom_css .='.login-box a{';
			$home_tutor_custom_css .='background-color: #fff;';
		$home_tutor_custom_css .='}';
	}else if($home_tutor_theme_lay == 'Without Background'){
		$home_tutor_custom_css .='{';
			$home_tutor_custom_css .='background-color: transparent;';
		$home_tutor_custom_css .='}';
	}

	/*-------------- Woocommerce Button  -------------------*/
	$home_tutor_woocommerce_button_padding_top = get_theme_mod('home_tutor_woocommerce_button_padding_top',12);
	$home_tutor_custom_css .='.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce ul.products li.product .button{';
		$home_tutor_custom_css .='padding-top: '.esc_attr($home_tutor_woocommerce_button_padding_top).'px; padding-bottom: '.esc_attr($home_tutor_woocommerce_button_padding_top).'px;';
	$home_tutor_custom_css .='}';
	

	$home_tutor_woocommerce_button_padding_right = get_theme_mod('home_tutor_woocommerce_button_padding_right',15);
	$home_tutor_custom_css .='.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce ul.products li.product .button{';
		$home_tutor_custom_css .='padding-left: '.esc_attr($home_tutor_woocommerce_button_padding_right).'px; padding-right: '.esc_attr($home_tutor_woocommerce_button_padding_right).'px;';
	$home_tutor_custom_css .='}';

	$home_tutor_woocommerce_button_border_radius = get_theme_mod('home_tutor_woocommerce_button_border_radius',3);
	$home_tutor_custom_css .='.woocommerce ul.products li.product .button, a.checkout-button.button.alt.wc-forward,.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce a.added_to_cart{';
		$home_tutor_custom_css .='border-radius: '.esc_attr($home_tutor_woocommerce_button_border_radius).'px;';
	$home_tutor_custom_css .='}';

	$home_tutor_related_product_enable = get_theme_mod('home_tutor_related_product_enable',true);
	if($home_tutor_related_product_enable == false){
		$home_tutor_custom_css .='.related.products{';
			$home_tutor_custom_css .='display: none;';
		$home_tutor_custom_css .='}';
	}

	$home_tutor_woocommerce_product_border_enable = get_theme_mod('home_tutor_woocommerce_product_border_enable',false);
	if($home_tutor_woocommerce_product_border_enable == false){
		$home_tutor_custom_css .='.products li{';
			$home_tutor_custom_css .='border: none;';
		$home_tutor_custom_css .='}';
	}else if($home_tutor_woocommerce_product_border_enable == true){
		$home_tutor_custom_css .='.products li{';
			$home_tutor_custom_css .='border: 1px solid #ccc;';
		$home_tutor_custom_css .='}';
	}

	$home_tutor_woocommerce_product_padding_top = get_theme_mod('home_tutor_woocommerce_product_padding_top',0);
	$home_tutor_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product, .woocommerce ul.products.columns-2 li.product, .woocommerce-page ul.products.columns-2 li.product {';
		$home_tutor_custom_css .='padding-top: '.esc_attr($home_tutor_woocommerce_product_padding_top).'px; padding-bottom: '.esc_attr($home_tutor_woocommerce_product_padding_top).'px !important;';
	$home_tutor_custom_css .='}';

	$home_tutor_woocommerce_product_padding_right = get_theme_mod('home_tutor_woocommerce_product_padding_right',0);
	$home_tutor_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product, .woocommerce ul.products.columns-2 li.product, .woocommerce-page ul.products.columns-2 li.product {';
		$home_tutor_custom_css .='padding-left: '.esc_attr($home_tutor_woocommerce_product_padding_right).'px; padding-right: '.esc_attr($home_tutor_woocommerce_product_padding_right).'px !important;';
	$home_tutor_custom_css .='}';

	$home_tutor_woocommerce_product_border_radius = get_theme_mod('home_tutor_woocommerce_product_border_radius');
	$home_tutor_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
		$home_tutor_custom_css .='border-radius: '.esc_attr($home_tutor_woocommerce_product_border_radius).'px;';
	$home_tutor_custom_css .='}';

	$home_tutor_woocommerce_product_box_shadow = get_theme_mod('home_tutor_woocommerce_product_box_shadow');
	$home_tutor_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
		$home_tutor_custom_css .='box-shadow: '.esc_attr($home_tutor_woocommerce_product_box_shadow).'px '.esc_attr($home_tutor_woocommerce_product_box_shadow).'px '.esc_attr($home_tutor_woocommerce_product_box_shadow).'px #ddd;';
	$home_tutor_custom_css .='}';

	$home_tutor_woo_product_sale_top_bottom_padding = get_theme_mod('home_tutor_woo_product_sale_top_bottom_padding', 0);
	$home_tutor_woo_product_sale_left_right_padding = get_theme_mod('home_tutor_woo_product_sale_left_right_padding', 0);
	$home_tutor_custom_css .='.woocommerce span.onsale{';
		$home_tutor_custom_css .='padding-top: '.esc_attr($home_tutor_woo_product_sale_top_bottom_padding).'px; padding-bottom: '.esc_attr($home_tutor_woo_product_sale_top_bottom_padding).'px; padding-left: '.esc_attr($home_tutor_woo_product_sale_left_right_padding).'px; padding-right: '.esc_attr($home_tutor_woo_product_sale_left_right_padding).'px; display:inline-block;';
	$home_tutor_custom_css .='}';

	$home_tutor_woo_product_sale_border_radius = get_theme_mod('home_tutor_woo_product_sale_border_radius',3);
	$home_tutor_custom_css .='.woocommerce span.onsale {';
		$home_tutor_custom_css .='border-radius: '.esc_attr($home_tutor_woo_product_sale_border_radius).'px;';
	$home_tutor_custom_css .='}';

	$home_tutor_woo_product_sale_position = get_theme_mod('home_tutor_woo_product_sale_position', 'Left');
	if($home_tutor_woo_product_sale_position == 'Right' ){
		$home_tutor_custom_css .='.woocommerce ul.products li.product .onsale{';
			$home_tutor_custom_css .=' left:auto; right:0;';
		$home_tutor_custom_css .='}';
	}elseif($home_tutor_woo_product_sale_position == 'Left' ){
		$home_tutor_custom_css .='.woocommerce ul.products li.product .onsale{';
			$home_tutor_custom_css .=' left:0; right:auto;';
		$home_tutor_custom_css .='}';
	}

	$home_tutor_wooproduct_sale_font_size = get_theme_mod('home_tutor_wooproduct_sale_font_size',14);
	$home_tutor_custom_css .='.woocommerce span.onsale{';
		$home_tutor_custom_css .='font-size: '.esc_attr($home_tutor_wooproduct_sale_font_size).'px;';
	$home_tutor_custom_css .='}';

	// Responsive Media
	$home_tutor_post_date = get_theme_mod( 'home_tutor_display_post_date',true);
	if($home_tutor_post_date == true && get_theme_mod( 'home_tutor_metafields_date',true) != true){
    	$home_tutor_custom_css .='.metabox .entry-date{';
			$home_tutor_custom_css .='display:none;';
		$home_tutor_custom_css .='} ';
	}
    if($home_tutor_post_date == true){
    	$home_tutor_custom_css .='@media screen and (max-width:575px) {';
		$home_tutor_custom_css .='.metabox .entry-date{';
			$home_tutor_custom_css .='display:inline-block;';
		$home_tutor_custom_css .='} }';
	}else if($home_tutor_post_date == false){
		$home_tutor_custom_css .='@media screen and (max-width:575px){';
		$home_tutor_custom_css .='.metabox .entry-date{';
			$home_tutor_custom_css .='display:none;';
		$home_tutor_custom_css .='} }';
	}

	$home_tutor_post_author = get_theme_mod( 'home_tutor_display_post_author',true);
	if($home_tutor_post_author == true && get_theme_mod( 'home_tutor_metafields_author',true) != true){
    	$home_tutor_custom_css .='.metabox .entry-author{';
			$home_tutor_custom_css .='display:none;';
		$home_tutor_custom_css .='} ';
	}
    if($home_tutor_post_author == true){
    	$home_tutor_custom_css .='@media screen and (max-width:575px) {';
		$home_tutor_custom_css .='.metabox .entry-author{';
			$home_tutor_custom_css .='display:inline-block;';
		$home_tutor_custom_css .='} }';
	}else if($home_tutor_post_author == false){
		$home_tutor_custom_css .='@media screen and (max-width:575px){';
		$home_tutor_custom_css .='.metabox .entry-author{';
			$home_tutor_custom_css .='display:none;';
		$home_tutor_custom_css .='} }';
	}

	$home_tutor_post_comment = get_theme_mod( 'home_tutor_display_post_comment',true);
	if($home_tutor_post_comment == true && get_theme_mod( 'home_tutor_metafields_comment',true) != true){
    	$home_tutor_custom_css .='.metabox .entry-comments{';
			$home_tutor_custom_css .='display:none;';
		$home_tutor_custom_css .='} ';
	}
    if($home_tutor_post_comment == true){
    	$home_tutor_custom_css .='@media screen and (max-width:575px) {';
		$home_tutor_custom_css .='.metabox .entry-comments{';
			$home_tutor_custom_css .='display:inline-block;';
		$home_tutor_custom_css .='} }';
	}else if($home_tutor_post_comment == false){
		$home_tutor_custom_css .='@media screen and (max-width:575px){';
		$home_tutor_custom_css .='.metabox .entry-comments{';
			$home_tutor_custom_css .='display:none;';
		$home_tutor_custom_css .='} }';
	}

	$home_tutor_post_time = get_theme_mod( 'home_tutor_display_post_time',true);
	if($home_tutor_post_time == true && get_theme_mod( 'home_tutor_metafields_time',true) != true){
    	$home_tutor_custom_css .='.metabox .entry-time{';
			$home_tutor_custom_css .='display:none;';
		$home_tutor_custom_css .='} ';
	}
    if($home_tutor_post_time == true){
    	$home_tutor_custom_css .='@media screen and (max-width:575px) {';
		$home_tutor_custom_css .='.metabox .entry-time{';
			$home_tutor_custom_css .='display:inline-block;';
		$home_tutor_custom_css .='} }';
	}else if($home_tutor_post_time == false){
		$home_tutor_custom_css .='@media screen and (max-width:575px){';
		$home_tutor_custom_css .='.metabox .entry-time{';
			$home_tutor_custom_css .='display:none;';
		$home_tutor_custom_css .='} }';
	}

	if($home_tutor_post_date == false && $home_tutor_post_author == false && $home_tutor_post_comment == false && $home_tutor_post_time == false){
		$home_tutor_custom_css .='@media screen and (max-width:575px) {';
    	$home_tutor_custom_css .='.metabox {';
			$home_tutor_custom_css .='display:none;';
		$home_tutor_custom_css .='} }';
	}

	$home_tutor_metafields_date = get_theme_mod( 'home_tutor_metafields_date',true);
	$home_tutor_metafields_author = get_theme_mod( 'home_tutor_metafields_author',true);
	$home_tutor_metafields_comment = get_theme_mod( 'home_tutor_metafields_comment',true);
	$home_tutor_metafields_time = get_theme_mod( 'home_tutor_metafields_time',true);
	if($home_tutor_metafields_date == false && $home_tutor_metafields_author == false && $home_tutor_metafields_comment == false && $home_tutor_metafields_time == false){
		$home_tutor_custom_css .='@media screen and (min-width:576px) {';
    	$home_tutor_custom_css .='.metabox {';
			$home_tutor_custom_css .='display:none;';
		$home_tutor_custom_css .='} }';
	}

	$home_tutor_sidebar = get_theme_mod( 'home_tutor_display_sidebar',true);
    if($home_tutor_sidebar == true){
    	$home_tutor_custom_css .='@media screen and (max-width:575px) {';
		$home_tutor_custom_css .='#sidebar{';
			$home_tutor_custom_css .='display:block;';
		$home_tutor_custom_css .='} }';
	}else if($home_tutor_sidebar == false){
		$home_tutor_custom_css .='@media screen and (max-width:575px) {';
		$home_tutor_custom_css .='#sidebar{';
			$home_tutor_custom_css .='display:none;';
		$home_tutor_custom_css .='} }';
	}

	$home_tutor_preloader = get_theme_mod( 'home_tutor_display_preloader',false);
	if($home_tutor_preloader == true && get_theme_mod( 'home_tutor_preloader',false) == false){
		$home_tutor_custom_css .='@media screen and (min-width:575px) {';
    	$home_tutor_custom_css .='.frame{';
			$home_tutor_custom_css .=' visibility: hidden;';
		$home_tutor_custom_css .='} }';
	}
    if($home_tutor_preloader == true){
    	$home_tutor_custom_css .='@media screen and (max-width:575px) {';
		$home_tutor_custom_css .='.frame{';
			$home_tutor_custom_css .='visibility:visible;';
		$home_tutor_custom_css .='} }';
	}else if($home_tutor_preloader == false){
		$home_tutor_custom_css .='@media screen and (max-width:575px){';
		$home_tutor_custom_css .='.frame{';
			$home_tutor_custom_css .='visibility: hidden;';
		$home_tutor_custom_css .='} }';
	}

	$home_tutor_scroll = get_theme_mod( 'home_tutor_display_scroll',true);
    if($home_tutor_scroll == true){
    	$home_tutor_custom_css .='@media screen and (max-width:575px) {';
		$home_tutor_custom_css .='#scrollbutton{';
			$home_tutor_custom_css .='display:block !important;';
		$home_tutor_custom_css .='} }';
	}else if($home_tutor_scroll == false){
		$home_tutor_custom_css .='@media screen and (max-width:575px) {';
		$home_tutor_custom_css .='#scrollbutton{';
			$home_tutor_custom_css .='display:none !important;';
		$home_tutor_custom_css .='} }';
	}

	$home_tutor_responsive_show_back_to_top = get_theme_mod('home_tutor_responsive_show_back_to_top',true);
	if($home_tutor_responsive_show_back_to_top == true && get_theme_mod('home_tutor_hide_show_scroll',true) == false){
		$home_tutor_custom_css .='@media screen and (min-width:575px){
			#scrollbutton{';
			$home_tutor_custom_css .='visibility:visible;';
		$home_tutor_custom_css .='} }';
	}
	if($home_tutor_responsive_show_back_to_top == false){
		$home_tutor_custom_css .='@media screen and (max-width:575px){
			#scrollbutton{';
			$home_tutor_custom_css .='visibility: hidden;';
		$home_tutor_custom_css .='} }';
	}

	$home_tutor_search = get_theme_mod( 'home_tutor_display_search_category',true);
	if($home_tutor_search == true && get_theme_mod( 'home_tutor_search_enable_disable',true) != true){
    	$home_tutor_custom_css .='.search-cat-box{';
			$home_tutor_custom_css .='display:none;';
		$home_tutor_custom_css .='} ';
	}
    if($home_tutor_search == true){
    	$home_tutor_custom_css .='@media screen and (max-width:575px) {';
		$home_tutor_custom_css .='.search-cat-box{';
			$home_tutor_custom_css .='display:block;';
		$home_tutor_custom_css .='} }';
	}else if($home_tutor_search == false){
		$home_tutor_custom_css .='@media screen and (max-width:575px){';
		$home_tutor_custom_css .='.search-cat-box{';
			$home_tutor_custom_css .='display:none;';
		$home_tutor_custom_css .='} }';
	}

	$home_tutor_myaccount = get_theme_mod( 'home_tutor_display_myaccount',true);
	if($home_tutor_myaccount == true && get_theme_mod( 'home_tutor_myaccount_enable_disable',true) != true){
    	$home_tutor_custom_css .='.login-box{';
			$home_tutor_custom_css .='display:none;';
		$home_tutor_custom_css .='} ';
	}
    if($home_tutor_myaccount == true){
    	$home_tutor_custom_css .='@media screen and (max-width:575px) {';
		$home_tutor_custom_css .='.login-box{';
			$home_tutor_custom_css .='display:block;';
		$home_tutor_custom_css .='} }';
	}else if($home_tutor_myaccount == false){
		$home_tutor_custom_css .='@media screen and (max-width:575px){';
		$home_tutor_custom_css .='.login-box{';
			$home_tutor_custom_css .='display:none;';
		$home_tutor_custom_css .='} }';
	}

	// menu settings
	$home_tutor_menu_font_size_option = get_theme_mod('home_tutor_menu_font_size_option');
	$home_tutor_custom_css .='#site-navigation .menu ul li a, .main-navigation .menu li a{';
		$home_tutor_custom_css .='font-size: '.esc_attr($home_tutor_menu_font_size_option).'px;';
	$home_tutor_custom_css .='}';

	$home_tutor_menu_padding = get_theme_mod('home_tutor_menu_padding');
	$home_tutor_custom_css .='#site-navigation .menu ul li a, .main-navigation .menu li a{';
		$home_tutor_custom_css .='padding: '.esc_attr($home_tutor_menu_padding).'px;';
	$home_tutor_custom_css .='}';

	//  comment form width
	$home_tutor_comment_form_width = get_theme_mod( 'home_tutor_comment_form_width');
	$home_tutor_custom_css .='#comments textarea{';
		$home_tutor_custom_css .='width: '.esc_attr($home_tutor_comment_form_width).'%;';
	$home_tutor_custom_css .='}';

	$home_tutor_title_comment_form = get_theme_mod('home_tutor_title_comment_form', 'Leave a Reply');
	if($home_tutor_title_comment_form == ''){
		$home_tutor_custom_css .='#comments h2#reply-title {';
			$home_tutor_custom_css .='display: none;';
		$home_tutor_custom_css .='}';
	}

	$home_tutor_comment_form_button_content = get_theme_mod('home_tutor_comment_form_button_content', 'Post Comment');
	if($home_tutor_comment_form_button_content == ''){
		$home_tutor_custom_css .='#comments p.form-submit {';
			$home_tutor_custom_css .='display: none;';
		$home_tutor_custom_css .='}';
	}

	// featured image setting
	$home_tutor_image_border_radius = get_theme_mod('home_tutor_image_border_radius', 0);
	$home_tutor_custom_css .='.layout2 .box-image img,.layout1 .box-image img,.layout3 .box-image img{';
		$home_tutor_custom_css .='border-radius: '.esc_attr($home_tutor_image_border_radius).'%;';
	$home_tutor_custom_css .='}';

	$home_tutor_image_box_shadow = get_theme_mod('home_tutor_image_box_shadow',0);
	$home_tutor_custom_css .='.layout2 .box-image img,.layout1 .box-image img,.layout3 .box-image img{';
		$home_tutor_custom_css .='box-shadow: '.esc_attr($home_tutor_image_box_shadow).'px '.esc_attr($home_tutor_image_box_shadow).'px '.esc_attr($home_tutor_image_box_shadow).'px #b5b5b5;';
	$home_tutor_custom_css .='}';

		// grid post image setting
	$home_tutor_grid_image_border_radius = get_theme_mod('home_tutor_grid_image_border_radius', 0);
	$home_tutor_custom_css .='.inner-service .gridbox .box-image img{';
		$home_tutor_custom_css .='border-radius: '.esc_attr($home_tutor_grid_image_border_radius).'%;';
	$home_tutor_custom_css .='}';

	$home_tutor_grid_image_box_shadow = get_theme_mod('home_tutor_grid_image_box_shadow',0);
	$home_tutor_custom_css .='.inner-service .gridbox .box-image img{';
		$home_tutor_custom_css .='box-shadow: '.esc_attr($home_tutor_grid_image_box_shadow).'px '.esc_attr($home_tutor_grid_image_box_shadow).'px '.esc_attr($home_tutor_grid_image_box_shadow).'px #b5b5b5;';
	$home_tutor_custom_css .='}';

	// Post Block
	$home_tutor_post_block_option = get_theme_mod( 'home_tutor_post_block_option','By Block');
    if($home_tutor_post_block_option == 'By Without Block'){
		$home_tutor_custom_css .='.mainbox-post, .layout2 .mainbox, .layout1.mainbox, .layout3.mainbox,.post_format-post-format-video,.post_format-post-format-image,.post_format-post-format-audio, .post_format-post-format-gallery, {';
			$home_tutor_custom_css .='border:none; margin:30px 0;';
		$home_tutor_custom_css .='}';
	}

	//Grid Post Block
	$home_tutor_grid_post_block_option = get_theme_mod( 'home_tutor_grid_post_block_option','By Block');
    if($home_tutor_grid_post_block_option == 'By Without Block'){
		$home_tutor_custom_css .='.inner-service .gridbox {';
			$home_tutor_custom_css .='border:none; margin:30px 0;';
		$home_tutor_custom_css .='}';
	}

	// post image 
	$home_tutor_post_featured_color = get_theme_mod('home_tutor_post_featured_color', 'var(--first-theme-color)');
	$home_tutor_post_featured_image = get_theme_mod('home_tutor_post_featured_image','Image');
	if($home_tutor_post_featured_image == 'Color'){
		$home_tutor_custom_css .='.post-color{';
			$home_tutor_custom_css .='background-color: '.esc_attr($home_tutor_post_featured_color).';';
		$home_tutor_custom_css .='}';
	}

	// featured image dimention
	$home_tutor_post_featured_image_dimention = get_theme_mod('home_tutor_post_featured_image_dimention', 'Default');
	$home_tutor_post_featured_image_custom_width = get_theme_mod('home_tutor_post_featured_image_custom_width');
	$home_tutor_post_featured_image_custom_height = get_theme_mod('home_tutor_post_featured_image_custom_height');
	if($home_tutor_post_featured_image_dimention == 'Custom'){
		$home_tutor_custom_css .='.box-image img{';
			$home_tutor_custom_css .='width: '.esc_attr($home_tutor_post_featured_image_custom_width).'px; height: '.esc_attr($home_tutor_post_featured_image_custom_height).'px;';
		$home_tutor_custom_css .='}';
	}

	// blog post Pagination Alignment
	$home_tutor_post_pagination_alignment = get_theme_mod( 'home_tutor_post_pagination_option','Left');
	if($home_tutor_post_pagination_alignment == 'Left'){
		$home_tutor_custom_css .='.navigation nav.pagination{';
			$home_tutor_custom_css .='justify-content: left;';
		$home_tutor_custom_css .='}';
	}else if($home_tutor_post_pagination_alignment == 'Center'){
		$home_tutor_custom_css .='.navigation nav.pagination{';
			$home_tutor_custom_css .='justify-content: center;';
		$home_tutor_custom_css .='}';
	}else if($home_tutor_post_pagination_alignment == 'Right'){
		$home_tutor_custom_css .='.navigation nav.pagination{';
			$home_tutor_custom_css .='justify-content: right;';
		$home_tutor_custom_css .='}';
	}

	// single featured image dimention
	$home_tutor_single_post_featured_image_dimention = get_theme_mod('home_tutor_single_post_featured_image_dimention', 'Default');
	$home_tutor_single_post_featured_image_custom_width = get_theme_mod('home_tutor_single_post_featured_image_custom_width');
	$home_tutor_single_post_featured_image_custom_height = get_theme_mod('home_tutor_single_post_featured_image_custom_height');
	if($home_tutor_single_post_featured_image_dimention == 'Custom'){
		$home_tutor_custom_css .='.single-post-page .feature-box img{';
			$home_tutor_custom_css .='width: '.esc_attr($home_tutor_single_post_featured_image_custom_width).'px!important; height: '.esc_attr($home_tutor_single_post_featured_image_custom_height).'px!important;';
		$home_tutor_custom_css .='}';
	}

	// featured image dimention
	$home_tutor_custom_post_color_width = get_theme_mod('home_tutor_custom_post_color_width');
	$home_tutor_custom_post_color_height = get_theme_mod('F');
	if($home_tutor_post_featured_image == 'Color'){
		$home_tutor_custom_css .='.post-color{';
			$home_tutor_custom_css .='width: '.esc_attr($home_tutor_custom_post_color_width).'px; height: '.esc_attr($home_tutor_custom_post_color_height).'px;';
		$home_tutor_custom_css .='}';
	}

	// site title font size
	$home_tutor_site_title_font_size = get_theme_mod('home_tutor_site_title_font_size');
	$home_tutor_custom_css .='.home-tutor-logo .site-title{';
	$home_tutor_custom_css .='font-size: '.esc_attr($home_tutor_site_title_font_size).'px;';
	$home_tutor_custom_css .='}';

	// site tagline font size
	$home_tutor_site_tagline_font_size = get_theme_mod('home_tutor_site_tagline_font_size');
	$home_tutor_custom_css .='p.site-description{';
	$home_tutor_custom_css .='font-size: '.esc_attr($home_tutor_site_tagline_font_size).'px;';
	$home_tutor_custom_css .='}';

	// woocommerce Product Navigation
	$home_tutor_wooproducts_nav = get_theme_mod('home_tutor_wooproducts_nav', 'Yes');
	if($home_tutor_wooproducts_nav == 'No'){
		$home_tutor_custom_css .='.woocommerce nav.woocommerce-pagination{';
			$home_tutor_custom_css .='display: none;';
		$home_tutor_custom_css .='}';
	}

	// site title color
	$home_tutor_site_title_color = get_theme_mod('home_tutor_site_title_color');
	$home_tutor_custom_css .='.site-title a{';
		$home_tutor_custom_css .='color: '.esc_attr($home_tutor_site_title_color).' !important;';
	$home_tutor_custom_css .='}';

	// site tagline color
	$home_tutor_site_tagline_color = get_theme_mod('home_tutor_site_tagline_color');
	$home_tutor_custom_css .='.site-description{';
		$home_tutor_custom_css .='color: '.esc_attr($home_tutor_site_tagline_color).' !important;';
	$home_tutor_custom_css .='}';
	
	// site toggle button color
	$home_tutor_toggle_button_color = get_theme_mod('home_tutor_toggle_button_color');
	$home_tutor_custom_css .='.toggle-nav i{';
		$home_tutor_custom_css .='color: '.esc_attr($home_tutor_toggle_button_color).' !important;';
	$home_tutor_custom_css .='}';

	//Copyright text color
	$home_tutor_copyright_text_color = get_theme_mod('home_tutor_copyright_text_color');
	$home_tutor_custom_css .='.copyright-wrapper, .copyright-wrapper p a{';
		$home_tutor_custom_css .='color: '.esc_attr($home_tutor_copyright_text_color).';';
	$home_tutor_custom_css .='}';

	//Copyright text Hover color
	$home_tutor_copyright_text_hover_color = get_theme_mod('home_tutor_copyright_text_hover_color');
	$home_tutor_custom_css .='.copyright-wrapper, .copyright-wrapper p a:hover{';
		$home_tutor_custom_css .='color: '.esc_attr($home_tutor_copyright_text_hover_color).';';
	$home_tutor_custom_css .='}';

	//Copyright background css
	$home_tutor_copyright_text_background = get_theme_mod('home_tutor_copyright_text_background');
	$home_tutor_custom_css .='.copyright-wrapper{';
		$home_tutor_custom_css .='background-color: '.esc_attr($home_tutor_copyright_text_background).';';
	$home_tutor_custom_css .='}';

	// menu font weight
	$home_tutor_font_weight_option_menu = get_theme_mod( 'home_tutor_font_weight_option_menu');
	if($home_tutor_font_weight_option_menu != ''){
		$home_tutor_custom_css .='#site-navigation .menu ul li a, .main-navigation .menu li a{';
			$home_tutor_custom_css .='font-weight: '.esc_attr($home_tutor_font_weight_option_menu).'!important;';
		$home_tutor_custom_css .='}';
	}

	// menu text transform
	$home_tutor_theme_lay = get_theme_mod( 'home_tutor_menu_text_tranform','Capitalize');
    if($home_tutor_theme_lay == 'Uppercase'){
		$home_tutor_custom_css .='#site-navigation .menu ul li a, .main-navigation .menu li a{';
			$home_tutor_custom_css .='text-transform: uppercase;';
		$home_tutor_custom_css .='}';
	}else if($home_tutor_theme_lay == 'Lowercase'){
		$home_tutor_custom_css .='#site-navigation .menu ul li a, .main-navigation .menu li a{';
			$home_tutor_custom_css .='text-transform: lowercase;';
		$home_tutor_custom_css .='}';
	}
	else if($home_tutor_theme_lay == 'Capitalize'){
		$home_tutor_custom_css .='#site-navigation .menu ul li a, .main-navigation .menu li a{';
			$home_tutor_custom_css .='text-transform: capitalize;';
		$home_tutor_custom_css .='}';
	}

	// menu color
	$home_tutor_menu_color = get_theme_mod('home_tutor_menu_color');

	$home_tutor_custom_css .='.primary-navigation a, .primary-navigation ul li a, #site-navigation li a{';
			$home_tutor_custom_css .='color: '.esc_attr($home_tutor_menu_color).' !important;';
	$home_tutor_custom_css .='}';

// Sub menu color
	$home_tutor_sub_menu_color = get_theme_mod('home_tutor_sub_menu_color');

	$home_tutor_custom_css .='.primary-navigation ul.sub-menu a, .primary-navigation ul.sub-menu li a, #site-navigation ul.sub-menu li a, .primary-navigation ul.children a, .primary-navigation ul.children li a, #site-navigation ul.children li a{';
			$home_tutor_custom_css .='color: '.esc_attr($home_tutor_sub_menu_color).' !important;';
	$home_tutor_custom_css .='}';

// menu hover color
	$home_tutor_menu_hover_color = get_theme_mod('home_tutor_menu_hover_color');

	$home_tutor_custom_css .='.primary-navigation a:hover, .primary-navigation ul li a:hover, .primary-navigation .current_page_item > a:hover, .primary-navigation .current-menu-item > a:hover, .primary-navigation .current_page_ancestor > a:hover, #site-navigation li a:hover{';
			$home_tutor_custom_css .='color: '.esc_attr($home_tutor_menu_hover_color).' !important;';
	$home_tutor_custom_css .='}';

// Sub menu hover color
	$home_tutor_sub_menu_hover_color = get_theme_mod('home_tutor_sub_menu_hover_color');

	$home_tutor_custom_css .='.primary-navigation ul.sub-menu a:hover, .primary-navigation ul.sub-menu li a:hover, .primary-navigation .current_page_item > a:hover, .primary-navigation .current-menu-item > a:hover, .primary-navigation .current_page_ancestor > a:hover, #site-navigation ul.sub-menu li a:hover, .primary-navigation ul.children a:hover, .primary-navigation ul.children li a:hover, #site-navigation ul.children li a:hover{';
			$home_tutor_custom_css .='color: '.esc_attr($home_tutor_sub_menu_hover_color).' !important;';
	$home_tutor_custom_css .='}';	

// Menu Item Hover Style	

	$home_tutor_menus_item = get_theme_mod( 'home_tutor_menus_item_style','None');
    if($home_tutor_menus_item == 'None'){
		$home_tutor_custom_css .='#site-navigation .menu ul li a:hover, .main-navigation .menu li a:hover{';
			$home_tutor_custom_css .='';
		$home_tutor_custom_css .='}';
	}else if($home_tutor_menus_item == 'Zoom In'){
		$home_tutor_custom_css .='#site-navigation .menu ul li a:hover, .main-navigation .menu li a:hover{';
			$home_tutor_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important;';
		$home_tutor_custom_css .='}';
	}		

    //Footer Style 
    $home_tutor_theme_lay = get_theme_mod( 'home_tutor_footer_template','home_tutor-footer-one');
    if($home_tutor_theme_lay == 'home_tutor-footer-one'){
	    $home_tutor_custom_css .='.footer-wp{';
		    $home_tutor_custom_css .='';
	    $home_tutor_custom_css .='}';

    }else if($home_tutor_theme_lay == 'home_tutor-footer-two'){
	    $home_tutor_custom_css .='.footer-wp {';
		    $home_tutor_custom_css .='background: #E3F2FD !important;';
	    $home_tutor_custom_css .='}';
	    $home_tutor_custom_css .='.footer-wp p,.footer-wp span,.footer-wp li a,.footer-wp #wp-calendar caption,.footer-wp #wp-calendar td,.footer-wp #wp-calendar th, .footer-wp, .footer-wp h3, .footer-wp a.rsswidget, .footer-wp #wp-calendar a, .copyright a, .footer-wp .custom_details, .footer-wp ins span, .footer-wp .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, .footer-wp ul li a, .footer-wp table, .footer-wp th, .footer-wp td, .footer-wp caption, #sidebar caption,.footer-wp nav.wp-calendar-nav a,.footer-wp .search-form .search-field, .footer-wp .rssSummary, .footer-wp ul li{';
		   $home_tutor_custom_css .='color:#000 !important;';
	    $home_tutor_custom_css .='}';
	    $home_tutor_custom_css .='.footer-wp p{';
		    $home_tutor_custom_css .='color:#000 !important;';
	    $home_tutor_custom_css .='}';
	    $home_tutor_custom_css .='.footer-wp ul li::before{';
		    $home_tutor_custom_css .='background:#000;';
	    $home_tutor_custom_css .='}';
	    $home_tutor_custom_css .='.footer-wp table, .footer-wp th, .footer-wp td,.footer-wp.search-form .search-field,.footer-wp .tagcloud a{';
		    $home_tutor_custom_css .='border: 1px solid #000;';
	    $home_tutor_custom_css .='}';

    }else if($home_tutor_theme_lay == 'home_tutor-footer-three'){
	    $home_tutor_custom_css .='.footer-wp {';
		    $home_tutor_custom_css .='background: #0A0A1F !important;;';
	    $home_tutor_custom_css .='}';
    }
    else if($home_tutor_theme_lay == 'home_tutor-footer-four'){
	    $home_tutor_custom_css .='.footer-wp {';
		    $home_tutor_custom_css .='background: #F5F5DC !important;;';
	    $home_tutor_custom_css .='}';
	    $home_tutor_custom_css .='.footer-wp p,.footer-wp span,.footer-wp li a,.footer-wp #wp-calendar caption,.footer-wp #wp-calendar td,.footer-wp #wp-calendar th, .footer-wp, .footer-wp h3, .footer-wp a.rsswidget, .footer-wp #wp-calendar a, .copyright a, .footer-wp .custom_details, .footer-wp ins span, .footer-wp .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, .footer-wp ul li a, .footer-wp table, .footer-wp th, .footer-wp td, .footer-wp caption, #sidebar caption,.footer-wp nav.wp-calendar-nav a,.footer-wp .search-form .search-field, .footer-wp .rssSummary, .footer-wp ul li{';
		    $home_tutor_custom_css .='color:#000 !important;';
	    $home_tutor_custom_css .='}';
	    $home_tutor_custom_css .='.footer-wp p{';
		    $home_tutor_custom_css .='color:#000 !important;';
	    $home_tutor_custom_css .='}';
	    $home_tutor_custom_css .='.footer-wp ul li::before{';
		    $home_tutor_custom_css .='background:#000;';
	    $home_tutor_custom_css .='}';
	    $home_tutor_custom_css .='.footer-wp table, .footer-wp th, .footer-wp td,.footer-wp.search-form .search-field,.footer-wp .tagcloud a{';
		    $home_tutor_custom_css .='border: 1px solid #000;';
	    $home_tutor_custom_css .='}';
    }
    else if($home_tutor_theme_lay == 'home_tutor-footer-five'){
    $home_tutor_custom_css .='.footer-wp {';
	    $home_tutor_custom_css .='background: #333333 !important;;';
    $home_tutor_custom_css .='}';
    }	
  
	//Footer Social Icon Alignment
	$home_tutor_footer_icon_alignment = get_theme_mod( 'home_tutor_footer_icon_alignment','center');
    if($home_tutor_footer_icon_alignment == 'left'){
		$home_tutor_custom_css .='footer .socialicons{';
			$home_tutor_custom_css .='text-align:left !important;';
		$home_tutor_custom_css .='}';
	}else if($home_tutor_footer_icon_alignment == 'center'){
		$home_tutor_custom_css .='footer .socialicons{';
			$home_tutor_custom_css .='text-align:center !important;';
		$home_tutor_custom_css .='}';
	}else if($home_tutor_footer_icon_alignment == 'right'){
		$home_tutor_custom_css .='footer .socialicons{';
			$home_tutor_custom_css .='text-align:right !important;';
		$home_tutor_custom_css .='}';
	}	

	//Footer icon color
	$home_tutor_footer_icon_color_option = get_theme_mod('home_tutor_footer_icon_color_option');
	$home_tutor_custom_css .='footer .socialicons a{';
			$home_tutor_custom_css .='color: '.esc_attr($home_tutor_footer_icon_color_option).' !important;';
	$home_tutor_custom_css .='}';  
	
	// sticky copyright
	$home_tutor_resp_stickycopyright = get_theme_mod( 'home_tutor_stickycopyright_hide_show',false);
	if($home_tutor_resp_stickycopyright == true && get_theme_mod( 'home_tutor_copyright_sticky',false) != true){
    	$home_tutor_custom_css .='.copyright-sticky{';
			$home_tutor_custom_css .='position:static;';
		$home_tutor_custom_css .='} ';
	}
